Subject: Re: Help! I can't Samba!
From: JD <[email-masked]> (by way of Andy Stevens <[email-masked]>)
To: Multiple recipients of list <[email-masked]>
Date: Fri, 12 Apr 1996 21:56:52 -0700

Please see my comments below.

On Wed, 27 Dec 1995, Christopher Eric Hanson wrote:

> In article <[email-masked]> JD
<[email-masked]> writes:
> > Does anyone know how to use Samba?  Here are the steps I use to attempt 
> > the install:  
> > 
> > AT THE AMIGA:  
> > 
> > 1. Copied the unarchived Samba directory to my AmiTCP directory 
> > ("WorkBench:/AmiTCP").  
> 
>   At this point you need to modify the lib/smb.conf file to list the
> drives you want to share. It should have some lines in it that look like:
> 
> [sys]
>   path = sys:
>   read only = no
> 
> [work]
>   path = HD0:
>   read only = no
> 
>   These will export the SYS: and HD0: drives to the network, available as
> exports named sys and work.

I have the following in my smb.conf:

  [amiga]
     path = work:
     read only = no

I am now wondering if the name in square brackets should be the logical 
drive name rather than the computer name.  Is this true?  Under path I 
also see that you have the physical device name.  Maybe I should change 
my entry to:

  [work]
     path = HD2:
     read only = no

I will give that a try.

> 
> > 2. After starting AmiTCP, I open a SHELL window, and CD to the 
> > WorkBench:/AmiTCP/samba/bin directory.  
> > 
> > 3. I then type: 
> > 
> >     stack 20000
> >     nmbd -D 
> 
>   Try
>       run >nil: <nil: nmbd -D
> 
> > 4. I then open another SHELL window, and CD to the 
> > WorkBench:/AmiTCP/samba/bin directory.  
> > 
> > 5. I then type: 
> > 
> >     stack 50000
> >     smbd -D 
> 
>       run >nil: <nil: smbd -D
> 
> > NOTE: It appears that nmbd and smbd do not return control to the shell 
> > window.  As a result, typing commands in the shell window has no effect, 
> > and I am unable to close the shell window by clicking on its close gadget.  
> 
>   Using the run >nil: <nil: will fix this.
> 
> > AT THE WINNT PC:  
> > 1. Open File Manager and select "Connect Network Drive".  
> > 
> > 2. In the "Shared Directories" window I click on "Microsoft Windows 
> > Network".  This reveals the work group "WORKGROUP".  I then click on 
> > "WORKGROUP" and this reveals only my WinNT PC computer name which is 
> > "RALPHONT". I do NOT see my Amiga computer under "WORKGROUP". 
> 
>   Probably would help to make sure your Amiga is listed in the hosts file
> of the NT machine and vice versa. I quote J Crookshank:

"... and vice versa." ??? Where is the hosts file on the Amiga?  How can 
I check it or modify it?

> 
> :As for using names instead of IP#'s, that's easy too.
> :In AmiTCP:db/ and in Winnt\system32\drivers\etc\ you will find a text file
> :called "hosts". Just add relevant entries like mine, and you can ping and
> :ftp by names instead of IP's.
> :
> :127.0.0.1 localhost
> :200.0.0.1 Raptor
> :200.0.0.2 Amiga1
> :200.0.0.2 Amiga2
> :200.0.0.3 Amiga3
> :200.0.0.4 PeeCeeOne
> :200.0.0.5 Macintush
> :etc.
> 
> 
> > What have I done wrong?  
> 
>   Try these suggestions. Not setting up smb.conf is your major difficulty.
> 
> > Is there a better way to network my WinNT system to the Amiga?  
> 
>   This is the best inexpensive way.
> 
> > Is there commercial software available that allows file/disk sharing 
> > between a WinNT system and an Amiga system?  
> 
>   You can buy several NFS servers for NT, and one or more exist commercially
> for the Amiga. NFS client software comes with NT and AmiTCP.
> 
> > Ralph Ocampo
> 
> Chris - Xenon

Thanks for the advice.  I will try all your suggestions.

Ralph Ocampo